<?php
/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for WDL
 * so that it is ready for translation.
 *
 * @link       https://chykalophia.com/woocommerce-direct-links
 * @since      0.1.0
 * @package    Woocommerce_Direct_Links
 * @subpackage Woocommerce_Direct_Links/includes
 * @author     Joel Sanguenza <joel@chykalophia.com>,
 *             Lord Francis Navarro <francis@chykalophia.com>
 */

if ( ! class_exists( 'Cklph_Wdl_i18n' ) ) {

	/**
	 * Internationalization class
	 */
	class Cklph_Wdl_I18n {

		/**
		 * Load wdl text domain for translation.
		 *
		 * @since    0.1.0
		 */
		public function load_plugin_textdomain() {

			load_plugin_textdomain(
				'plugin-name',
				false,
				dirname( dirname( CKLPH_WDL_BASE ) ) . '/languages/'
			);
		}
	}
}
